Subject: [PATCH 1/3] dt-bindings: iio: adc: stm32: add support for diff channels

From: [email-masked] (Jonathan Cameron)
Date: Sat, 21 Oct 2017 18:55:45 +0100

On Sat, 21 Oct 2017 18:54:01 +0100
Jonathan Cameron <[email-masked]> wrote:

> On Tue, 17 Oct 2017 15:15:43 +0200
> Fabrice Gasnier <[email-masked]> wrote:
> 
> > STM32H7 ADC channels may be configured either as single-ended or
> > differential.
> > Add 'st,adc-diff-channels' property to support differential channels.
> > Differential channels are defined as a pair of positive and negative
> > inputs: vinp & vinn.
> > 
> > Signed-off-by: Fabrice Gasnier <[email-masked]>
> Hmm. Fair enough.  Sometimes we support both types of channels
> and leave it to userspace, but in many cases that makes little sense
> - particularly if like I think is going on here, we aren't combining channels
> that can be separately read but rather the negative pin is simply unused
> when we are in single channel mode... (did I understand that right?)
> 
Forgot to say - I would ideally like a devicetree maintainer review on this
one as it's a bit unusual!

> Jonathan
> 
> > ---
> >  Documentation/devicetree/bindings/iio/adc/st,stm32-adc.txt | 6 ++++++
> >  1 file changed, 6 insertions(+)
> > 
> > diff --git a/Documentation/devicetree/bindings/iio/adc/st,stm32-adc.txt b/Documentation/devicetree/bindings/iio/adc/st,stm32-adc.txt
> > index 48bfcaa3..c3c8de1 100644
> > --- a/Documentation/devicetree/bindings/iio/adc/st,stm32-adc.txt
> > +++ b/Documentation/devicetree/bindings/iio/adc/st,stm32-adc.txt
> > @@ -62,6 +62,12 @@ Required properties:
> >  - st,adc-channels: List of single-ended channels muxed for this ADC.
> >    It can have up to 16 channels on stm32f4 or 20 channels on stm32h7, numbered
> >    from 0 to 15 or 19 (resp. for in0..in15 or in0..in19).
> > +- st,adc-diff-channels: List of differential channels muxed for this ADC.
> > +  Depending on part used, some channels can be configured as differential
> > +  instead of single-ended (e.g. stm32h7). List here positive and negative
> > +  inputs pairs as <vinp vinn>, <vinp vinn>,... vinp and vinn are numbered
> > +  from 0 to 19 on stm32h7)
> > +  Note: At least one of "st,adc-channels" or "st,adc-diff-channels" is required.
> >  - #io-channel-cells = <1>: See the IIO bindings section "IIO consumers" in
> >    Documentation/devicetree/bindings/iio/iio-bindings.txt
> >  
>